#include <bits/stdc++.h>
#include "code.h"
using namespace std;


vector<pair<int, int>> ZapisiTacke(int n){
    vector<pair<int, int>> tacke(n + 1);
    for(int i = 0; i < n; i++){
        tacke[i + 1].first = i;
        tacke[i + 1].second = i^2;
    }
    return tacke;
}

vector<int> Resi(int n, int q){
    vector<int> resenje(n + 1);
    for(int i = 1; i <= n; i++){
        resenje[i] = i;
    }
    for(int i = 2; i <= n; i++){
        for(int j = i + 1; j <= n; j++){
            int vr = Pitaj(1, i, j);
            if(vr == -1){
                swap(resenje[i], resenje[j]);
            }
        }
    }
    return resenje;
}